name: mitra_corporate
description: "A new Flutter project."
publish_to: "none"
version: 0.1.0

environment:
  sdk: ^3.5.0

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations: # Add this line
    sdk: flutter # Add this line
  data_table_2: ^2.3.8
  scroll_navigation: ^1.3.2
  flutter_riverpod: ^2.5.1
  flutter_hooks: ^0.20.5
  hooks_riverpod: ^2.5.2
  linear_step_indicator: ^1.0.0+3
  equatable: ^2.0.5
  intl: ^0.20.2
  dio: ^5.1.1
  shared_preferences: ^2.2.1
  top_snackbar_flutter: ^3.1.0
  loading_animation_widget: ^1.2.0+4
  loader_overlay: ^4.0.2+1
  age_calculator: ^1.0.0
  jiffy: ^6.2.1
  flutter_datetime_picker: ^1.5.1
  flutter_pdfview: ^1.2.5
  path_provider: ^2.1.1
  flutter_typeahead: ^5.2.0
  http: ^0.13.5
  pdfx: ^2.3.0
  internet_file: ^1.2.0

  webview_flutter_web: ^0.2.2+4
  webview_flutter: ^4.8.0
  flutter_native_splash: ^2.4.1
  fl_chart: ^0.69.0
  date_field: ^5.2.1
  mask_text_input_formatter: ^2.5.0
  just_the_tooltip: ^0.0.12
  scroll_to_index: ^3.0.1
  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  eva_icons_flutter: ^3.1.0
  url_launcher: ^6.1.11

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0

flutter_native_splash:
  color: "#ffffff"
  image: images/pramita_splash.png

flutter:
  uses-material-design: true
  assets:
    - images/background_login.png
    - images/logo_kedungdoro.png
    - images/grafik.png
    - images/registrasi_sukses.png
    - images/pramita_login.png
    - images/logo_pramita.png
    - images/order_success.png
    - images/logo_ibl.png
    - images/ibl_login.png

  fonts:
    - family: OpenSans
      fonts:
        - asset: fonts/OpenSans-Bold.ttf
        - asset: fonts/OpenSans-ExtraBold.ttf
        - asset: fonts/OpenSans-SemiBold.ttf
        - asset: fonts/OpenSans-Medium.ttf
        - asset: fonts/OpenSans-Regular.ttf
